- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Class Hierarchy

Go to the graphical class hierarchy

This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 1 2]

SignOn::Error | Definition for Signon error handling
SignOn::IdentityInfo | Contains identity information
SignOn::AuthService::IdentityRegExp | The class represents a regular expression
QDBusAbstractInterface |
SignOn::DBusInterface |
QObject |
SignOn::AuthService | Represents signon for client application
SignOn::AuthSession | Represents a session to authentication plugin/server
SignOn::ConnectionManager |
SignOn::Identity | Represents a database entry for a single identity
SignOn::SessionData | Data container to hold values for authentication session